petsc-3.12.1 2019-10-22
Report Typos and Errors

# MatCoarsenSetStrictAggs

Set whether to keep strict (non overlapping) aggregates in the linked list of aggregates for a coarsen context

### Synopsis

    #include "petscmatcoarsen.h"
    PetscErrorCode MatCoarsenSetStrictAggs(MatCoarsen agg, PetscBool str)

Logically Collective on MatCoarsen

### Input Parameters

| agg | - the coarsen context
| str | - PETSC_TRUE keep strict aggregates, PETSC_FALSE allow overlap

### See Also

MatCoarsenCreate()

### Level

advanced

### Location

src/mat/coarsen/coarsen.c
Index of all MatOrderings routines
Table of Contents for all manual pages
Index of all manual pages